Subject: Re: get_maintainer.pl and .mailmap entries with more than 2 addresses

From: Shuah Khan <[email-masked]>
Date: Tue, 2 Aug 2016 17:11:34 -0600

On 08/02/2016 04:26 PM, Joe Perches wrote:
> On Wed, 2016-08-03 at 00:17 +0200, Florian Mickler wrote:
>> cc'd [email-masked]  (Mauro, is your kernel.org address up?)
>>
>>  Am Tue, 02 Aug 2016 09:36:21 -0700
>> schrieb Joe Perches <[email-masked]>:
>>
>>>
>>> Hello Florian.
>>> There is at least an oddity with get_maintainer handling of a
>>> .mailmap entry form.
>>>
>>> For instance:
>>>
>>> Mauro's .mailmap entry is:
>>> Mauro Carvalho Chehab <[email-masked]> <[email-masked]>
>>> <[email-masked]> <[email-masked]> <[email-masked]>
>>> <[email-masked]> <[email-masked]>
>>>
>>> Is this a valid form?
>>>
>>> get_maintainer output for Mauro is:
>>>
>>> $ ./scripts/get_maintainer.pl drivers/media/ -f
>>> Mauro Carvalho Chehab <[email-masked]> <[email-masked]>
>>> <[email-masked]> <[email-masked]> <[email-masked]>
>>> <[email-masked]> (maintainer:MEDIA INPUT INFRASTRUCTURE
>>> (V4L/DVB))
>>>
>>> I believe the Mauro's and Shuah's .mailmap entries are improper and
>>> should be changed, but I'm not completely aware of git .mailmap
>>> handling and the documentation seems weakly specified.
>>>
>> Hmm.. looking at Mauros last .mailmap commit it seems like your patch is
>> ok for Mauro. 
>>
>> Although <[email-masked]> and <[email-masked]> are probably
>> missing? (@Mauro) 
>>
>>
>> $ git shortlog | grep "^Mauro C"
>> Mauro Carvalho Chehab (4404):
>> $ git log | grep "^Author:.*Mauro Carvalho Chehab" | sort | uniq -c
>>       2 Author: Mauro Carvalho Chehab <[email-masked]>
>>     146 Author: Mauro Carvalho Chehab <[email-masked]>
>>     645 Author: Mauro Carvalho Chehab <[email-masked]>
>>     794 Author: Mauro Carvalho Chehab <[email-masked]>
>>    2015 Author: Mauro Carvalho Chehab <[email-masked]>
>>     448 Author: Mauro Carvalho Chehab <[email-masked]>
>>     353 Author: Mauro Carvalho Chehab <[email-masked]>
>>       1 Author: Mauro Carvalho Chehab <[email-masked]>
>>
>>
>>
>> Anyway, from a technical viewpoint your patches seem to fix
>> the .mailmap entry as the author intended. (See Junio's Email for the
>> documantation part) 
>> But I would wait for the ack from Mauro and Shuah. 
> 
> As far as I understand, a single entry with just their
> name and preferred email address would work too because
> the name parts are all spelled identically.
> 
> 

I am fine with change to my entry. Thanks for fixing it.

Acked-by: Shuah Khan <[email-masked]>

thanks,
-- Shuah